unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtnrs;

type
  TForm1 = class(TForm)
    OleContainer1: TOleContainer;
    Button1: TButton;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  OleContainer1.InsertObjectDialog;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Opendialog1.InitialDir:=GetCurrentdir;
  if OpenDialog1.Execute then
  Olecontainer1.CreateObjectFromFile(Opendialog1.FileName,false);
  //lub otwórz dokument wExcelu  ExcelA.WorkSheet[1].Open(Opendialog1.FileName);
end;

end.
